Skip to content

Update a group

Updates a group’s display name, technical name, and/or parent. Use parentId to move the group under another parent, or set parentId to null to make it a top-level group.

PATCH /api/v1/groups/{id}

AuthRequired
Query parametersNone
NameTypeDescription
idstringGroup id
Authorization: Bearer <your-api-key>
Content-Type: application/json

All fields optional:

{
"displayName": "Site footer",
"technicalName": "footer",
"parentId": null
}
FieldTypeDescription
displayNamestring | nullNew display name
technicalNamestring | nullNew technical name
parentIdstring | nullNew parent id, or null for root
Terminal window
curl -sS -X PATCH https://collingo.app/api/v1/groups/clgroupaaaaaaaaaaaaaaaaaa \
-H "Authorization: Bearer <your-api-key>" \
-H "Content-Type: application/json" \
-d '{"displayName": "Site footer"}'

Returns the updated Group object (same shape as Get a group).

StatusWhen
400Validation failed
401Missing or invalid API key (ERR_UNAUTHORIZED)
403Insufficient role (ERR_FORBIDDEN)
404Group not found
409Conflict (for example duplicate technical name or invalid parent)
500Database or internal error